SparrowDesk
ConversationsFieldsId

Retrieve a conversation field

GET
/conversations/fields/{id}
AuthorizationBearer <token>

In: header

Path Parameters

idinteger

ID of the conversation field to retrieve

Response Body

application/json

application/json

application/json

curl -X GET "https://app.sparrowdesk.com/v1/conversations/fields/0"
{
  "data": {
    "id": 102,
    "name": "Priority Level",
    "internal_name": "priority_level",
    "type": "dropdown",
    "description": "Priority level for tickets",
    "is_active": true,
    "is_default": false,
    "is_mandatory_on_close": true,
    "field_options": [
      {
        "id": 1,
        "name": "Low",
        "position": 1
      }
    ],
    "created_at": 1672531200,
    "updated_at": 1672535400
  }
}
{
  "error": {
    "message": "Conversation field with id 999 not found"
  }
}
{
  "error": {
    "message": "Error while fetching conversation field"
  }
}